---
title: RTCError.errorDetail
slug: Web/API/RTCError/errorDetail
tags:
  - API
  - Audio
  - Error
  - Error code
  - Media
  - Property
  - RTCError
  - Read-only
  - Reference
  - Type
  - Video
  - WebRTC
  - WebRTC API
  - WebRTC Device API
  - details
  - errorDetail
  - rtc
---
<p>{{APIRef("WebRTC")}}</p>

<p>The {{domxref("RTCError")}} interface's read-only <code><strong>errorDetail</strong></code> property is a string indicating the <a href="/en-US/docs/Web/API/WebRTC_API">WebRTC</a>-specific error code that occurred.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox notranslate">let <em>rtcErrorDetail</em> = <em>rtcError</em>.errorDetail<em>;</em></pre>

<h3 id="Value">Value</h3>

<p>A read-only string whose value indicates the type of WebRTC-specific error that occurred on an {{domxref("RTCPeerConnection")}}. The possible values are taken from the <code>RTCErrorDetailType</code> enumeration:</p>

<dl>
 <dt><code>data-channel-failure</code></dt>
 <dd>The connection's {{domxref("RTCDataChannel")}} has failed.</dd>
 <dt><code>dtls-failure</code></dt>
 <dd>The negotiation of the {{Glossary("DTLS")}} connection failed, or the connection was terminated with a fatal error. The error's {{domxref("RTCError.message", "message")}} contains details about the nature of the error. If a fatal error is <em>received</em>, the error object's {{domxref("RTCError.receivedAlert", "receivedAlert")}} property is set to the value of the DTLSL alert received. If, on the other hand, a fatal error was <em>sent</em>, the {{domxref("RTCError.sentAlert", "sentAlert")}} is set to the alert's value.</dd>
 <dt><code>fingerprint-failure</code></dt>
 <dd>The remote certificate for the {{domxref("RTCDtlsTransport")}} didn't match any of the fingerprints listed in the SDP. If the remote peer can't match the local certificate against the provided fingerprints, this error doesn't occur, though this situation may result instead in a <code>dtls-failure</code> error.</dd>
 <dt><code>hardware-encoder-error</code></dt>
 <dd>The hardsare encoder doesn't support the given configuration parameters.</dd>
 <dt><code>hardware-encoder-not-available</code></dt>
 <dd>The hardware encoder resources required to accomplish the requested operation aren't available.</dd>
 <dt><code>sctp-failure</code></dt>
 <dd>The {{Glossary("SCTP")}} negotiation has failed, or the connection has terminated with a fatal error. The SCTP cause code can be found in the <code>RTCError</code> object's {{domxref("RTCError.sctpCauseCode", "sctpCauseCode")}}. SCTP error cause codes 1-13 are defined in the SCTP specification: {{RFC(4960, "", "3.3.10")}}.</dd>
 <dt><code>sdp-syntax-error</code></dt>
 <dd>The SDP syntax is invalid. The error's {{domxref("RTCError.sdpLineNumber", "sdpLineNumber")}} property indicates the line number within the SDP at which the error was detected.</dd>
</dl>

<h2 id="Examples">Examples</h2>

<p>tbd</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('WebRTC 1.0', '#dom-rtcerror-errordetail', 'RTCError.errorDetail')}}</td>
   <td>{{Spec2('WebRTC 1.0')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.RTCError.errorDetail")}}</p>
